package com.dcsoft.system.domain;

import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 第三方人员管理对象 sys_people
 *
 * @author nichun
 * @date 2023-03-08
 */
public class SysPeopleOther extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**
     * 微信openid
     * **/
    private String openid;

    /** 人员Id */
    private Long id;

    /** 人员名称 */
    @Excel(name = "人员名称",sort = 2)
    private String name;

    /** 联系电话 */
    @Excel(name = "联系电话",sort = 3)
    private String phone;

    /** 用户性别（0男 1女 2保密） */
    @Excel(name = "用户性别", readConverterExp = "0=男,1=女,2=保密",sort = 4)
    private String sex;

    /** 头像地址 */
    private String avatar;

    /** 所在部门 */
    private String branchId;

    @Excel(name = "所在部门",sort = 5)
    private String branchName;

    /** 职位标签 */
    @Excel(name = "职位标签",sort = 6)
    private String position;

    /** 身份证号码 */
    @Excel(name = "身份证号码",sort = 7)
    private String idcard;

    /** 车牌号码 */
    private String carNo;


    /** 人员编号对接 */
    private String guid;

    /** 人像对接 */
    private String faceGuid;



    /** 删除标志(0正常 1删除) */
    private Long delFlag;

    private SysBranch branch;


    private Long down;

    private String downFlag;

    private String guidFlag;

    private String faceFlag;

    private String pageNum;

    private String sequence;

    private String cardFlag;

    private Long ruleId;

    private Long branchParent;

    private String serialNumber;

    private String wxFlag;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date validTimeStart;


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date validTimeEnd;


    private String file1;

    private String file2;

    private String file3;



    public String getWxFlag() {
        return wxFlag;
    }

    public void setWxFlag(String wxFlag) {
        this.wxFlag = wxFlag;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public Long getRuleId() {
        return ruleId;
    }

    public void setRuleId(Long ruleId) {
        this.ruleId = ruleId;
    }

    public String getCardFlag() {
        return cardFlag;
    }

    public void setCardFlag(String cardFlag) {
        this.cardFlag = cardFlag;
    }

    public String getSequence() {
        return sequence;
    }

    public void setSequence(String sequence) {
        this.sequence = sequence;
    }

    public String getPageNum() {
        return pageNum;
    }

    public void setPageNum(String pageNum) {
        this.pageNum = pageNum;
    }

    public SysBranch getBranch() {
        return branch;
    }

    public void setBranch(SysBranch branch) {
        this.branch = branch;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
    public void setSex(String sex)
    {
        this.sex = sex;
    }

    public String getSex()
    {
        return sex;
    }
    public void setAvatar(String avatar)
    {
        this.avatar = avatar;
    }

    public String getAvatar()
    {
        return avatar;
    }
    public void setBranchId(String branchId)
    {
        this.branchId = branchId;
    }

    public String getBranchId()
    {
        return branchId;
    }
    public void setPosition(String position)
    {
        this.position = position;
    }

    public String getPosition()
    {
        return position;
    }
    public void setIdcard(String idcard)
    {
        this.idcard = idcard;
    }

    public String getIdcard()
    {
        return idcard;
    }
    public void setCarNo(String carNo)
    {
        this.carNo = carNo;
    }

    public String getCarNo()
    {
        return carNo;
    }

    public void setGuid(String guid)
    {
        this.guid = guid;
    }

    public String getGuid()
    {
        return guid;
    }
    public void setFaceGuid(String faceGuid)
    {
        this.faceGuid = faceGuid;
    }

    public String getFaceGuid()
    {
        return faceGuid;
    }

    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }


    public Long getDown() {
        return down;
    }

    public void setDown(Long down) {
        this.down = down;
    }

    public String getBranchName() {
        return branchName;
    }

    public void setBranchName(String branchName) {
        this.branchName = branchName;
    }

    public String getDownFlag() {
        return downFlag;
    }

    public void setDownFlag(String downFlag) {
        this.downFlag = downFlag;
    }

    public String getGuidFlag() {
        return guidFlag;
    }

    public void setGuidFlag(String guidFlag) {
        this.guidFlag = guidFlag;
    }

    public String getFaceFlag() {
        return faceFlag;
    }

    public void setFaceFlag(String faceFlag) {
        this.faceFlag = faceFlag;
    }

    public Long getBranchParent() {
        return branchParent;
    }

    public void setBranchParent(Long branchParent) {
        this.branchParent = branchParent;
    }

    public Date getValidTimeStart() {
        return validTimeStart;
    }

    public void setValidTimeStart(Date validTimeStart) {
        this.validTimeStart = validTimeStart;
    }

    public Date getValidTimeEnd() {
        return validTimeEnd;
    }

    public void setValidTimeEnd(Date validTimeEnd) {
        this.validTimeEnd = validTimeEnd;
    }

    public String getFile1() {
        return file1;
    }

    public void setFile1(String file1) {
        this.file1 = file1;
    }

    public String getFile2() {
        return file2;
    }

    public void setFile2(String file2) {
        this.file2 = file2;
    }

    public String getFile3() {
        return file3;
    }

    public void setFile3(String file3) {
        this.file3 = file3;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("phone", getPhone())
            .append("sex", getSex())
            .append("avatar", getAvatar())
            .append("branchId", getBranchId())
            .append("position", getPosition())
            .append("idcard", getIdcard())
            .append("carNo", getCarNo())
            .append("guid", getGuid())
            .append("faceGuid", getFaceGuid())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
